Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri
Class JXPathContextFactoryReferenceImpl

    java.lang.Object
      |
      +--org.apache.commons.jxpath.JXPathContextFactory
            |
            +--org.apache.commons.jxpath.ri.JXPathContextFactoryReferenceImpl

public class JXPathContextFactoryReferenceImpl
extends JXPathContextFactory

Default implementation of JXPathContextFactory.

Version:
  $Revision: 1.4 $ $Date: 2003/03/11 00:59:18 $
Author:
  Dmitri Plotnikov

Fields inherited from class org.apache.commons.jxpath.JXPathContextFactory
`FACTORY_NAME_PROPERTY`

Constructor Summary
`JXPathContextFactoryReferenceImpl()`

Method Summary
`JXPathContext` | `newContext(JXPathContext parentContext, java.lang.Object contextBean)` Creates a new instance of a JXPathContext using the currently configured parameters.

Methods inherited from class org.apache.commons.jxpath.JXPathContextFactory
`newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXPathContextFactoryReferenceImpl

    public JXPathContextFactoryReferenceImpl()

Method Detail

### newContext

    public JXPathContext newContext(JXPathContext parentContext,
                                    java.lang.Object contextBean)
                             throws JXPathContextFactoryConfigurationError

  Description copied from class: `JXPathContextFactory`
  Creates a new instance of a JXPathContext using the currently configured parameters.
  Overrides:
    `newContext` in class `JXPathContextFactory`
  Following copied from class: `org.apache.commons.jxpath.JXPathContextFactory`
  Throws:
    `JXPathContextFactoryConfigurationError` - if a JXPathContext cannot be created which satisfies the configuration requested

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.